CNVKIT_REFERENCE(1)

NAME
cnvkit_reference - Compile a coverage reference from the given files (normal samples).

DESCRIPTION
usage: cnvkit.py reference [-h] [-f FASTA] [-o FILENAME] [-c]

[--min-cluster-size NUM]
    [-x {m,y,male,Male,f,x,female,Female}] [-y] [-t TARGETS] [-a ANTITARGETS] [--no-gc] [--no-edge] [--no-rmask] [references ...]

  positional arguments:

references
    Normal-sample target or antitarget .cnn files, or the directory that contains them.

  options:

-h, --help
    show this help message and exit

-f FASTA, --fasta FASTA
    Reference genome, FASTA format (e.g. UCSC hg19.fa)

-o FILENAME, --output FILENAME
    Output file name.

-c, --cluster
    Calculate and store summary stats for clustered subsets of the normal samples with similar coverage profiles.

--min-cluster-size NUM
    Minimum cluster size to keep in reference profiles. [Default: 4]

-x {m,y,male,Male,f,x,female,Female}, --sample-sex {m,y,male,Male,f,x,female,Female}, -g {m,y,male,Male,f,x,female,Female}, --gender {m,y,male,Male,f,x,female,Female}
    Specify the chromosomal sex of all given samples as male or female. (Default: guess each sample from coverage of X and Y chromosomes).

-y, --male-reference, --haploid-x-reference
    Create a male reference: shift female samples' chrX log-coverage by -1, so the reference chrX average is -1. Otherwise, shift male samples' chrX by +1, so the reference chrX average is 0.

  To construct a generic, flat" copy number reference with neutral expected coverage:"

-t TARGETS, --targets TARGETS
    Target intervals (.bed or .list)

-a ANTITARGETS, --antitargets ANTITARGETS
    Antitarget intervals (.bed or .list)

  To disable specific automatic bias corrections:

--no-gc
    Skip GC correction.

--no-edge
    Skip edge-effect correction.

--no-rmask
    Skip RepeatMasker correction.